﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.FormsEdition;
using Xamarin.Forms;

namespace GettingStarted
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            MapView mapView = new MapView();
            // Set the Map Unit to DecimalDegrees, the Shapefile’s unit of measure. 
            mapView.MapUnit = GeographyUnit.Meter;
            mapView.ZoomLevelSet = new OpenStreetMapsZoomLevelSet();

            // Create a WorldMapKitOverlay.
            //WorldMapKitOverlay worldMapKitOverlay = new WorldMapKitOverlay();
            //worldMapKitOverlay.Projection = WorldMapKitProjection.SphericalMercator;
            OpenStreetMapOverlay openStreetMapOverlay = new OpenStreetMapOverlay();

            // Add a WorldMapKitOverlay.
            mapView.Overlays.Add("WorldMapKit", openStreetMapOverlay);

            // Set a proper extent for the map. The extent is the geographical area you want it to display.
            mapView.CurrentExtent = new RectangleShape(-10914959.8856762, 3577180.44738464, -10838593.5553671, 3534701.67615024);

            Content = mapView;
        }
    }
}
